View Issue Details

IDProjectCategoryView StatusLast Update
0001077XdebugRemote Debuggingpublic2016-12-12 00:13
ReporterMatthijsAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionno change required 
PlatformLinuxOSCentosOS Version5
Product Version2.2.5 
Target VersionFixed in Version 
Summary0001077: IPv6 Support
DescriptionIs it possible to use XDebug over IPv6? If so in what format does the remote_host IP needs to be?

IPv4:

Log opened at 2014-10-07 13:17:36
I: Checking remote connect back address.
W: Remote address not found, connecting to configured address/port: 172.22.20.170:9200. :-|
I: Connected to client. :-)

IPv6:
Log opened at 2014-10-07 13:06:01
I: Checking remote connect back address.
W: Remote address not found, connecting to configured address/port: 2001:xxx:xxxx:0:b4a3:596f:xxxx:xxxx:9200. :-|
E: Could not connect to client. :-(
Log closed at 2014-10-07 13:06:01

IPv6 (with ip within brackets)
Log opened at 2014-10-07 13:07:31
I: Checking remote connect back address.
W: Remote address not found, connecting to configured address/port: [2001:xxx:xxxx:0:b4a3:596f:xxxx:xxxx]:9200. :-|
E: Could not connect to client. :-(
Log closed at 2014-10-07 13:07:31
Steps To ReproduceTry to connect through IPv6
Additional InformationWorks great with ipv4!
TagsNo tags attached.
Operating SystemCentos 5
PHP Version5.4.20-5.4.24

Activities

derick

2014-10-07 13:52

administrator   ~0002884

It's not yet possible, but I am evaluating a Pull Request to support this:
https://github.com/xdebug/xdebug/pull/88

Matthijs

2014-10-07 14:10

reporter   ~0002885

Ah, great! Thanks! Looking forward to this new feature!

Mattie

2015-08-21 07:37

reporter   ~0003165

Can you please look at the pull request? It is open for a very long time!

derick

2016-12-12 00:12

administrator   ~0004027

IPv6 support got added in Xdebug 2.5.

Issue History

Date Modified Username Field Change
2014-10-07 13:21 Matthijs New Issue
2014-10-07 13:52 derick Note Added: 0002884
2014-10-07 13:52 derick Assigned To => derick
2014-10-07 13:52 derick Status new => acknowledged
2014-10-07 14:10 Matthijs Note Added: 0002885
2015-08-21 07:37 Mattie Note Added: 0003165
2016-07-31 12:35 derick Category Debug client (console) => debugclient (debugging tool)
2016-07-31 12:35 derick Category debugclient (debugging tool) => (No Category)
2016-12-12 00:12 derick Note Added: 0004027
2016-12-12 00:12 derick Status acknowledged => resolved
2016-12-12 00:12 derick Resolution open => no change required
2016-12-12 00:13 derick Category (No Category) => Remote Debugging